# Memec Spartan-II 100 LC Demo Board
# iMPACT Batch command file for command line configuration
# 
# To launch, type the following from a command line:
#	impact -batch <filename.cmd>
#
# For more details, you can find the Impact batch file commands
# in an appendix of the Impact User's Guide:
#	http://www.support.xilinx.com/support/sw_manuals/xilinx5/download/pac.zip


# Set iMPACT into Boundary-scan programming mode
setMode -bscan


# Let iMPACT automatically search and find your programming cable
setCable -port auto


# Add devices to the programming chain.  This can be done using
# one of two methods (method #2 used in this case):

# 1) Load a previously generated CDF, which defines the JTAG chain
# loadCdf -file xc2s100lc_demo.cdf
#
# 2) Create the JTAG chain manually
# Device #1 is an XC18V01 PROM programmed using an MCS file
addDevice -p 1 -sprom xc18v01 -file s2lc100_files\s2lc100_test.mcs

# Device #2 is an XC2S100 bypassed with BSDL
addDevice -p 2 -file s2lc100_files\xc2s100_pq208.bsd


# Erase, Program, and Verify the part at Position 1 (which is the PROM)
program -erase -verify -position 1


#Quit iMPACT
quit

